"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDayPicker = void 0;
var react_1 = __importDefault(require("react"));
var DayPickerContext_1 = require("./DayPickerContext");
/** Hook to access the [[DayPickerContext]]. */
function useDayPicker() {
    var context = react_1.default.useContext(DayPickerContext_1.DayPickerContext);
    if (!context) {
        throw new Error('useDayPickerContext must be used within a DayPickerProvider');
    }
    return context;
}
exports.useDayPicker = useDayPicker;
//# sourceMappingURL=useDayPicker.js.map