"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSelectRange = void 0;
var react_1 = __importDefault(require("react"));
var SelectRangeContext_1 = require("./SelectRangeContext");
/** Hook to access the [[SelectRangeContext]]. */
function useSelectRange() {
    var context = react_1.default.useContext(SelectRangeContext_1.SelectRangeContext);
    if (!context) {
        throw new Error('useSelectRange must be used within a SelectRangeProvider');
    }
    return context;
}
exports.useSelectRange = useSelectRange;
//# sourceMappingURL=useSelectRange.js.map