"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectSingleProvider = void 0;
var react_1 = __importDefault(require("react"));
var types_1 = require("../../types");
var SelectSingleContext_1 = require("./SelectSingleContext");
/** Provides the values for the [[SelectSingleProvider]]. */
function SelectSingleProvider(_a) {
    var initialProps = _a.initialProps, children = _a.children;
    var initialSelected;
    var isSingleMode = false;
    if (types_1.isDayPickerSingle(initialProps)) {
        initialSelected = initialProps.defaultSelected;
        isSingleMode = true;
    }
    var _b = react_1.default.useState(initialSelected), selected = _b[0], setSelected = _b[1];
    var handleDayClick = function (day, dayModifiers, e) {
        var _a, _b;
        if (!types_1.isDayPickerSingle(initialProps)) {
            return;
        }
        if (dayModifiers.selected && !initialProps.required) {
            setSelected(undefined);
            (_a = initialProps.onSelect) === null || _a === void 0 ? void 0 : _a.call(initialProps, undefined, day, dayModifiers, e);
            return;
        }
        setSelected(day);
        (_b = initialProps.onSelect) === null || _b === void 0 ? void 0 : _b.call(initialProps, day, day, dayModifiers, e);
    };
    var modifiers = {};
    if (selected) {
        modifiers.selected = [selected];
    }
    return (react_1.default.createElement(SelectSingleContext_1.SelectSingleContext.Provider, { value: { selected: selected, handleDayClick: handleDayClick, modifiers: modifiers, isSingleMode: isSingleMode } }, children));
}
exports.SelectSingleProvider = SelectSingleProvider;
//# sourceMappingURL=SelectSingleProvider.js.map