import React from 'react';
import { DayPickerContext } from './DayPickerContext';
/** Hook to access the [[DayPickerContext]]. */
export function useDayPicker() {
    var context = React.useContext(DayPickerContext);
    if (!context) {
        throw new Error('useDayPickerContext must be used within a DayPickerProvider');
    }
    return context;
}
//# sourceMappingURL=useDayPicker.js.map